Package org.drinkless.tdlib

# Class TdApi.SendInlineQueryResultMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Message>
org.drinkless.tdlib.TdApi.SendInlineQueryResultMessage

Enclosing class:
  `TdApi`

public static class TdApi.SendInlineQueryResultMessage extends TdApi.Function<TdApi.Message>
Sends the result of an inline query as a message. Returns the sent message. Always clears a chat draft message.

Returns `Message`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Target chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `hideViaBot`
  Pass true to hide the bot, via which the message is sent.
  `TdApi.MessageSendOptions`
  `options`
  Options to be used to send the message; pass null to use default options.
  `long`
  `queryId`
  Identifier of the inline query.
  `TdApi.InputMessageReplyTo`
  `replyTo`
  Information about the message or story to be replied; pass null if none.
  `String`
  `resultId`
  Identifier of the inline query result.
  `TdApi.MessageTopic`
  `topicId`
  Topic in which the message will be sent; pass null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendInlineQueryResultMessage()`
  Default constructor for a function, which sends the result of an inline query as a message.
  `SendInlineQueryResultMessage(long chatId, TdApi.MessageTopic topicId, TdApi.InputMessageReplyTo replyTo, TdApi.MessageSendOptions options, long queryId, String resultId, boolean hideViaBot)`
  Creates a function, which sends the result of an inline query as a message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Target chat.

  - ### topicId

    public TdApi.MessageTopic topicId
    Topic in which the message will be sent; pass null if none.

  - ### replyTo

    public TdApi.InputMessageReplyTo replyTo
    Information about the message or story to be replied; pass null if none.

  - ### options

    public TdApi.MessageSendOptions options
    Options to be used to send the message; pass null to use default options.

  - ### queryId

    public long queryId
    Identifier of the inline query.

  - ### resultId

    public String resultId
    Identifier of the inline query result.

  - ### hideViaBot

    public boolean hideViaBot
    Pass true to hide the bot, via which the message is sent. Can be used only for bots getOption("animation_search_bot_username"), getOption("photo_search_bot_username"), and getOption("venue_search_bot_username").

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SendInlineQueryResultMessage

    public SendInlineQueryResultMessage()
    Default constructor for a function, which sends the result of an inline query as a message. Returns the sent message. Always clears a chat draft message.

    Returns `Message`

  - ### SendInlineQueryResultMessage

    public SendInlineQueryResultMessage(long chatId, TdApi.MessageTopic topicId, TdApi.InputMessageReplyTo replyTo, TdApi.MessageSendOptions options, long queryId, String resultId, boolean hideViaBot)
    Creates a function, which sends the result of an inline query as a message. Returns the sent message. Always clears a chat draft message.

    Returns `Message`

    Parameters:
      `chatId` - Target chat.
      `topicId` - Topic in which the message will be sent; pass null if none.
      `replyTo` - Information about the message or story to be replied; pass null if none.
      `options` - Options to be used to send the message; pass null to use default options.
      `queryId` - Identifier of the inline query.
      `resultId` - Identifier of the inline query result.
      `hideViaBot` - Pass true to hide the bot, via which the message is sent. Can be used only for bots getOption("animation_search_bot_username"), getOption("photo_search_bot_username"), and getOption("venue_search_bot_username").

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Message>`
    Returns:
      this.CONSTRUCTOR